Index: res/res_config_pgsql.c
===================================================================
--- res/res_config_pgsql.c	(revision 145012)
+++ res/res_config_pgsql.c	(working copy)
@@ -680,15 +680,15 @@
 
 	/* Create the first part of the query using the first parameter/value pairs we just extracted
 	   If there is only 1 set, then we have our query. Otherwise, loop thru the list and concat */
-	PQescapeStringConn(pgsqlConn, buf, newparam, sizeof(newparam), &pgresult);
+	PQescapeStringConn(pgsqlConn, buf, newparam, strlen(newparam), &pgresult);
 	snprintf(params, sizeof(params), "%s", buf);
-	PQescapeStringConn(pgsqlConn, buf, newval, sizeof(newval), &pgresult);
+	PQescapeStringConn(pgsqlConn, buf, newval, strlen(newval), &pgresult);
 	snprintf(vals, sizeof(vals), "'%s'", buf);
 	while ((newparam = va_arg(ap, const char *))) {
 		newval = va_arg(ap, const char *);
-		PQescapeStringConn(pgsqlConn, buf, newparam, sizeof(newparam), &pgresult);
+		PQescapeStringConn(pgsqlConn, buf, newparam, strlen(newparam), &pgresult);
 		snprintf(params + strlen(params), sizeof(params) - strlen(params), ", %s", buf);
-		PQescapeStringConn(pgsqlConn, buf, newval, sizeof(newval), &pgresult);
+		PQescapeStringConn(pgsqlConn, buf, newval, strlen(newval), &pgresult);
 		snprintf(vals + strlen(vals), sizeof(vals) - strlen(vals), ", '%s'", buf);
 	}
 	va_end(ap);
